
QGIS Application - Bug report #698

saving a project in a directory with no sufficient rights makes QGIS 0.8.1 crash

2007-04-01 01:08 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10757

Description

QGIS 0.8.1 SVN 6834, built and and running against QT 4.2.3.

Usually it happens at a 2nd try to save a project in a dir for which I don't have write access. The bt:

Program received signal SIGABRT, Aborted.

[Switching to Thread -1255934272 (LWP 12791)]

0xffffe410 in +kernel_vsyscall ()

(gdb) bt

#0  0xffffe410 in +kernel_vsyscall ()

#3905  0xb65319a1 in raise () from /lib/tls/i686/cmov/libc.so.6

#3906  0xb65332b9 in abort () from /lib/tls/i686/cmov/libc.so.6

#3907  0xb6714450 in +gnu_cxx::+verbose_terminate_handler ()

   from /usr/lib/libstdc++.so.6

#3908  0xb6712185 in std::set_unexpected () from /usr/lib/libstdc++.so.6

#3909  0xb67121b6 in std::terminate () from /usr/lib/libstdc++.so.6

#3910  0xb671224b in +cxa_rethrow () from /usr/lib/libstdc++.so.6

#3911  0xb7df79c4 in QMetaObject::activate (sender=0x80e6e48,

    from_signal_index=5, to_signal_index=6, argv=<value optimized out>)

    at kernel/qobject.cpp:2947

#3912  0xb7df7a29 in QMetaObject::activate (sender=0x0, m=0x0,

    from_local_signal_index=1, to_local_signal_index=2, argv=0x6)

    at kernel/qobject.cpp:2992

#3913  0xb745a079 in QAction::triggered (this=0x0, _t1=false)

    at moc_qaction.cpp:208

#10 0xb745a966 in QAction::activate (this=0x80e6e48, event=QAction::Trigger)

    at kernel/qaction.cpp:1075

#3914 0xb7799172 in QToolButton::nextCheckState (this=0x6) at qaction.h:175

#3915 0xb76f18a5 in QAbstractButtonPrivate::click (this=0x81ca318)

    at widgets/qabstractbutton.cpp:500

#3916 0xb76f1ac7 in QAbstractButton::mouseReleaseEvent (this=0x81c9fa0,

    e=0xbff70184) at widgets/qabstractbutton.cpp:1076

#3917 0xb77990aa in QToolButton::mouseReleaseEvent (this=0x0, e=0x6)

    at widgets/qtoolbutton.cpp:604

#3918 0xb74a43d8 in QWidget::event (this=0x81c9fa0, event=0xbff70184)

    at kernel/qwidget.cpp:5718

#3919 0xb76f0a36 in QAbstractButton::event (this=0x81c9fa0, e=0xbff70184)

    at widgets/qabstractbutton.cpp:1038

#3920 0xb7798ee4 in QToolButton::event (this=0x0, e=0x0)

    at widgets/qtoolbutton.cpp:1011
#3921 0xb7460003 in QApplicationPrivate::notify_helper (this=0x8067198,

    receiver=0x81c9fa0, e=0xbff70184) at kernel/qapplication.cpp:3439

#3922 0xb746337d in QApplication::notify (this=0xbff707e8, receiver=0x81c9fa0,

    e=0xbff70184) at kernel/qapplication.cpp:3138

#3923 0xb74b9f42 in QETWidget::translateMouseEvent (this=0x81c9fa0,

    event=0xbff7041c) at qcoreapplication.h:186

#3924 0xb74b9898 in QApplication::x11ProcessEvent (this=0xbff707e8,

    event=0xbff7041c) at kernel/qapplication_x11.cpp:2767

#3925 0xb74dcf23 in x11EventSourceDispatch (s=0x8088ed0, callback=0,

    user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:122

#3926 0xb648f8d6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#3927 0xb6492996 in g_main_context_check () from /usr/lib/libglib-2.0.so.0

#3928 0xb6492e1e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#3929 0xb7e09541 in QEventDispatcherGlib::processEvents (this=0x8085d90,

    flags=@0xbff70608) at kernel/qeventdispatcher_glib.cpp:366

#3930 0xb74dcad7 in QGuiEventDispatcherGlib::processEvents (this=0x8085d90,

    flags=@0x31f7) at kernel/qguieventdispatcher_glib.cpp:178

#3931 0xb7de6a23 in QEventLoop::processEvents (this=0x0, flags=@0x0)

    at kernel/qeventloop.cpp:126

#3932 0xb7de6b62 in QEventLoop::exec (this=0xbff706a0, flags=@0xbff706a8)

    at kernel/qeventloop.cpp:172

#3933 0xb7de8f53 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:730

#3934 0xb745fb7f in QApplication::exec () at kernel/qapplication.cpp:2932

#3935 0x0804c12b in main ()

History

#1 - 2007-06-10 09:00 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Fixed with patch #725 and revisions commit:1f2f9a34 (SVN r7018)  . Many thanks for filing this report - please reopen if problem persists.

Regards

Tim

#2 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
